
#include <htc.h>
#include "delay.h"

// #define _XTAL_FREQ 20000000 // definirano u delay.h

   __CONFIG(HS & PWRTEN & WDTDIS & UNPROTECT);

void mcu_init(void)
{
    INTCON = 0x00;
	TRISB = 0xFE;           // output 0, input 1 ; TRISB3 = 0;
	TRISA = 0xFF;
	PORTB = 0x00;
}

void DelayS(unsigned char c)
{
    while(c--)
    {
        DelayMs(250);
        DelayMs(250);
        DelayMs(250);
        DelayMs(250);
    }
}

void main(void)
{
    mcu_init();

    while(1)
    {
        while(RA0 == 1)     // cekaj ovdje da se pritisne tipka (kad je tipka pritisnuta na RA0 je stanje LOW)
            continue;

        RB0 = 1;            // upali diodu, spoji tak da svijetli kad je na pinu stanje HIGH
        DelayS(5);          // nek svjetli pet s, pa
        RB0 = 0;            // ju ugasi

        while(RA0 == 0)     // stani tu ak je tipka jos uvijek pritisnuta, ak ne cekaj gore dok se ponovno ne pritisne
            continue;
    }
}
