
#define	_XTAL_FREQ 20000000L    /* Crystal frequency in Hz */

/*
 *	Delay functions for HI-TECH C on the PIC
 *
 *	Functions available:
 *		DelayUs(x)	Delay specified number of microseconds
 *		DelayMs(x)	Delay specified number of milliseconds
 *
 *	Note that there are range limits: x must not exceed 255 - for xtal
 *	frequencies > 12MHz the range for DelayUs is even smaller.
 *	To use DelayUs it is only necessary to include this file; to use
 *	DelayMs you must include delay.c in your project.
 *
 *	Usage:
 *	picc18 -D_XTAL_FREQ=8000000L
 *
 *	Note that this is the crystal frequency, the CPU clock is
 *	divided by 4.
 *
 *	MAKE SURE this code is compiled with full optimization!!!
 *
 *  IT IS WORKING FINE IN V8.05PL2 WITHOUT (unsigned long) STATMENT!!!
 */
 
 #define	DelayUs(x)	{ unsigned char _dcnt; \
         _dcnt = (unsigned long)(x) *(_XTAL_FREQ)/(12000000L); \
   while(--_dcnt != 0) \
       continue; }
       
 extern void DelayMs(unsigned char);
